<%
  production_state_index = Spree::Order.get_production_states().find_index(@order.production_state)
  production_state_index = (production_state_index.nil? ? -1 : production_state_index)

  backorder_index = Spree::Order.get_production_states().find_index('backorder')
  processing_index = Spree::Order.get_production_states().find_index('processing')
  production_room_index = Spree::Order.get_production_states().find_index('production_room')
  fulfillment_room_index = Spree::Order.get_production_states().find_index('fulfillment_room')
  in_qc_index = Spree::Order.get_production_states().find_index('in_qc')
  in_labels_index = Spree::Order.get_production_states().find_index('in_labels')
  complete_index = Spree::Order.get_production_states().find_index('complete')

  backorder_disabled = production_state_index >= backorder_index
  processing_disbaled = production_state_index >= processing_index
  production_room_disabled = production_state_index >= production_room_index
  fulfillment_room_disabled = production_state_index >= fulfillment_room_index
  in_qc_disabled = production_state_index >= in_qc_index
  in_labels_disabled = production_state_index >= in_labels_index
  complete_disabled = production_state_index >= complete_index

  if production_state_index >= 0 && production_state_index < complete_index
%>
<div id="add-line-item" data-hook class="card mb-3">
  <div class="card-header">
    <h1 class="card-title mb-0 h5">Current Production State: <span class="badge badge-<%= @order.production_state %>"><%= Spree.t("production_states.#{@order.production_state}") %></span></h1>
  </div>
  <div class="card-body">
    Change State:
    <div class="production-form-actions" data-hook="production-state-buttons">
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'backorder', production_state_label: 'Backorder', disabled: backorder_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'processing', production_state_label: 'Processing', disabled: processing_disbaled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'production_room', production_state_label: 'Production Room', disabled: production_room_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'fulfillment_room', production_state_label: 'Fulfillment Room', disabled: fulfillment_room_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'in_qc', production_state_label: 'In QC', disabled: in_qc_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'in_labels', production_state_label: 'In Labels', disabled: in_labels_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'complete', production_state_label: 'Complete', disabled: complete_disabled } %>
    </div>
  </div>
</div>
<% end %>
